#!/bin/bash

git rebase origin/main
git pull --rebase
while true; do
  git rev-parse --verify REBASE_HEAD < /dev/null
  if [ $? -ne 0 ]; then
    break
  fi
  git add entries
  GIT_EDITOR=true git rebase --continue
done
git push